package com.cim.idm.mwmsextend.checkrecord.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class CheckRecord extends FieldAccessor implements DataInfo<CheckRecordKey>{
	private CheckRecordKey key;
	private String sysLocation;
	private String operatorId;
	private String checkTimeKey;
	private String checkState;
	private String lastAction;
	private double materialQuantity;
	private String materialSpecName;
	private String erpLocation;
	private String lastEventName;
	private String lastEventUser;
	private Timestamp lastEventTime;
	private String lastEventTimeKey;
	private String lastEventComment;
	private String actLocation;//实际物理库位（盘点时记录的库位）
	private double materialActQuantity;
    private String checkMaterialType;
    private String checkPackingType;
	public String getSysLocation() {
		return sysLocation;
	}

	public void setSysLocation(String sysLocation) {
		this.sysLocation = sysLocation;
	}

	public String getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(String operatorId) {
		this.operatorId = operatorId;
	}

	public String getCheckTimeKey() {
		return checkTimeKey;
	}

	public void setCheckTimeKey(String checkTimeKey) {
		this.checkTimeKey = checkTimeKey;
	}

	public String getCheckState() {
		return checkState;
	}

	public void setCheckState(String checkState) {
		this.checkState = checkState;
	}
	public String getMaterialSpecName() {
		return materialSpecName;
	}

	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}
	public String getErpLocation() {
		return erpLocation;
	}

	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}

	public String getLastAction() {
		return lastAction;
	}

	public void setLastAction(String lastAction) {
		this.lastAction = lastAction;
	}

	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}

	
	public CheckRecordKey getKey() {
		return key;
	}

	public void setKey(CheckRecordKey key) {
		this.key = key;
	}
	
	public double getMaterialQuantity() {
		return materialQuantity;
	}

	public void setMaterialQuantity(double materialQuantity) {
		this.materialQuantity = materialQuantity;
	}

	public String getActLocation() {
		return actLocation;
	}

	public void setActLocation(String actLocation) {
		this.actLocation = actLocation;
	}

	public double getMaterialActQuantity() {
		return materialActQuantity;
	}

	public void setMaterialActQuantity(double materialActQuantity) {
		this.materialActQuantity = materialActQuantity;
	}

}
